package ru.yandex.webmaster3.api.addurl.action;

import ru.yandex.autodoc.common.doc.annotation.Description;
import ru.yandex.webmaster3.api.http.rest.response.ApiGetResponse;

/**
 * @author leonidrom
 */
public class GetRecrawlQuotaResponse extends ApiGetResponse.Success200 {
    private final int dailyQuota;
    private final int quotaRemainder;

    public GetRecrawlQuotaResponse(int dailyQuota, int quotaRemainder) {
        this.dailyQuota = dailyQuota;
        this.quotaRemainder = quotaRemainder;
    }

    @Description("суточная квота")
    public int getDailyQuota() {
        return dailyQuota;
    }

    @Description("остаток суточной квоты")
    public int getQuotaRemainder() {
        return quotaRemainder;
    }
}
